Auto Multiple Choice - Bug # 543: OpenCV 3.4.1 breaks data capture

Status: Closed Priority: Normal

Author: Fabien Baron Category:

Created: 03/20/2018 Assignee:

Updated: 02/08/2021 Due date:

Description: Arch just moved to openCV 3.4.1, which completely breaks data capture even for the latest hg.

Downgrading to openCV 3.4.0 works.

History

03/20/2018 10:18 pm - Alexis Bienveniie
Can you explain what happens exactly?

03/20/2018 10:31 pm - Fabien Baron
Compilation works fine, but when trying to recognize scans (Automatic mode), auto-multiple-choice throws this multiple times:

OpenCV(3.4.1) Error: Assertion failed ((flags & FIXED_TYPE) = 0) in type, file /build/opencv/src/opencv-3.4.1/modules/core/src/matrix_wrap.cpp, line
807
terminate called after throwing an instance of 'cv::Exception’

what(): OpenCV(3.4.1) /build/opencv/src/opencv-3.4.1/modules/core/src/matrix_wrap.cpp:807: error: (-215) (flags & FIXED_TYPE) != 0 in function
type

This results in nothing being actually recognized properly.

03/21/2018 07:44 am - Alexis Bienveniie
Thanks. Can you try an automatic data capture in debugging mode (from the menu _Help_), and post the resulting @log@ file?

03/21/2018 08:41 am - Maél Valais

Hi,

| had the exact same issue on macOS when OpenCV 3.4.1 was released. Fortunately, we
fixed:https://bitbucket.org/auto-multiple-choice/auto-multiple-choice/pull-requests/53 it very recently!

Until packagers like pacman catch up, | propose to download:https://bitbucket.org/auto-multiple-choice/auto-multiple-choice/downloads/ the dist tarball
1.3.0.2199 and

<pre>
make
sudo make install

</pre>

03/21/2018 08:50 am - Maél Valais
Sorry, | didn't see 'even for the latest hg'.
On what 'hg' revision do you refer to?

03/21/2018 05:37 pm - Fabien Baron
Looks like this was the bug you fixed indeed.

| can confirm that auto-multiple-choice_1.3.0-2208-493a811c6b40_dist.tar.gz works fine.

02/08/2021 04:23 pm - Alexis Bienveniie

- Status changed from New to Closed

04/20/2024 1/2




- % Done changed from 0 to 100

04/20/2024 22



